## eucalyptus 2.0+bzr1241

=== cluster/Makefile ===
#
#

include ../Makedefs

WSDLPATH=../wsdl
CCWSDLNAME=eucalyptus_cc.wsdl
CCWSDL=$(WSDLPATH)/$(CCWSDLNAME)
NCWSDLNAME=eucalyptus_nc.wsdl
NCWSDL=$(WSDLPATH)/$(NCWSDLNAME)
SERVICE_SO=libEucalyptusCC.so
SERVICE_NAME=EucalyptusCC
CLIENT=CCclient
CLIENTKILLALL=euca_killall
#WSDL2C=${AXIS2C_HOME}/bin/tools/wsdl2c/WSDL2C.sh
NCLIBS=../util/data.o ../node/client-marshal-adb.o ../util/ipc.o
SCLIBS=../storage/storage.o 
VNLIBS=../net/vnetwork.o ../util/misc.o
WSSECLIBS=../util/euca_axis.o ../util/euca_auth.o
CC_LIBS 	= ${LIBS} -lcurl

all: server client

build: all

generated/stubs: $(CCWSDL) $(NCWSDL)
	rm -rf generated
	mkdir -p generated
	@echo Generating client stubs
	sh $(WSDL2C) -uri $(CCWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Generating NCclient stubs
	sh $(WSDL2C) -uri $(NCWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Generating server stubs
	sh $(WSDL2C) -uri $(CCWSDL) -sd -ss -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Adding marshalling calls to server stubs
	../tools/add_marshalling.pl generated/axis2_skel_*.c
	@echo Compiling the stubs
	cd generated; patch -p1 < ../axis2_svc_generated.patch; $(CC) -c $(CFLAGS) $(INCLUDES) *.c
	@echo "this is a cute little makefile marker" >generated/stubs
	@echo Stubs generated.

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

server: $(SERVICE_SO)

$(SERVICE_SO): generated/stubs ../storage/storage.o server-marshal.o handlers.o $(AXIS2C_HOME)/lib/libaxutil.so 
	$(CC) -shared generated/*.o server-marshal.o handlers.o $(SCLIBS) $(NCLIBS) $(VNLIBS) $(WSSECLIBS) $(CC_LIBS) -o $(SERVICE_SO)

client: $(CLIENT)_full $(CLIENTKILLALL)

$(CLIENT)_full: generated/stubs $(CLIENT).c cc-client-marshal-adb.c handlers.o $(AXIS2C_HOME)/lib/libaxutil.so
	$(CC) -o $(CLIENT)_full $(CFLAGS) $(INCLUDES) $(CC_LIBS) generated/adb_*.o generated/axis2_stub_*.o  ../util/misc.o $(WSSECLIBS) $(CLIENT).c cc-client-marshal-adb.c -DMODE=1

$(CLIENTKILLALL): generated/stubs $(CLIENT).c cc-client-marshal-adb.c handlers.o $(AXIS2C_HOME)/lib/libaxutil.so
	$(CC) -o $(CLIENTKILLALL) $(CFLAGS) $(INCLUDES) $(CC_LIBS) generated/adb_*.o generated/axis2_stub_*.o  ../util/misc.o $(WSSECLIBS) $(CLIENT).c cc-client-marshal-adb.c -DMODE=0

deploy:
	$(INSTALL) -d $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(SERVICE_SO) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(CCWSDL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
#no ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(CCWSDLNAME) > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml

#ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(CCWSDLNAME) | ../tools/add_service_policy.pl ../tools/service-policy-template.xml | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml
	cat ../tools/client-policy-template.xml | sed "s:EUCALYPTUS_HOME:$(EUCALYPTUS):g" | sed "s:AXIS2C_HOME:$(AXIS2C_HOME):g" | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > cc-client-policy.xml
##	cp ../tools/*.pem $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	cp cc-client-policy.xml $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	chmod -R 0600 $(EUCALYPTUS)/var/lib/eucalyptus/keys/*
# ws
	$(INSTALL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml
# no ws
#	cp $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml

clean:
	rm -f $(SERVICE_SO) *.o $(CLIENTKILLALL) $(CLIENT)_full *~* *#*

distclean: clean
	rm -rf generated

install: deploy
	@$(INSTALL) -m 0555 $(CLIENTKILLALL) $(DESTDIR)$(sbindir)
	@$(INSTALL) cc-client-policy.xml $(DESTDIR)$(vardir)/lib/eucalyptus/keys/

uninstall:
	@$(RM) -f $(DESTDIR)$(sbindir)/$(CLIENTKILLALL)
	@$(RM) -f $(DESTDIR)$(vardir)/lib/eucalyptus/keys/cc-client-policy.xml
	@$(RM) -rf $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)

=== gatherlog/Makefile ===
#
#

include ../Makedefs

WSDLPATH=../wsdl/
GLWSDLNAME=eucalyptus_gl.wsdl
GLWSDL=$(WSDLPATH)/$(GLWSDLNAME)
SERVICE_SO=libEucalyptusGL.so
SERVICE_NAME=EucalyptusGL
CLIENT=GLclient
#WSDL2C=$(AXIS2C_HOME)/bin/tools/wsdl2c/WSDL2C.sh

all: server client 

build: all

generated/stubs: $(GLWSDL)
	rm -rf generated
	mkdir -p generated
	@echo Generating client stubs
	sh $(WSDL2C) -uri $(GLWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Generating server stubs
	sh $(WSDL2C) -uri $(GLWSDL) -sd -ss -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Adding marshalling calls to server stubs
	../tools/add_marshalling.pl generated/axis2_skel_*.c
	@echo Compiling the stubs
	cd generated; $(CC) -c $(CFLAGS) $(INCLUDES) -I../../util *.c; cd ..
	@echo "this is a cute little makefile marker" >generated/stubs
	@echo Stubs generated.

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

server: $(SERVICE_SO)

$(SERVICE_SO): generated/stubs gl-client-marshal-adb.o server-marshal.o handlers.o $(AXIS2C_HOME)/lib/libaxutil.so 
	$(CC) -shared generated/*.o server-marshal.o handlers.o $(WSSECLIBS) -L$(AXIS2C_HOME)/lib $(LIBS) ../util/misc.o ../util/euca_auth.o ./gl-client-marshal-adb.o -o $(SERVICE_SO)

client: $(CLIENT)

$(CLIENT): generated/stubs $(CLIENT).c gl-client-marshal-adb.c handlers.o $(AXIS2C_HOME)/lib/libaxutil.so
	$(CC) -o $(CLIENT) $(CFLAGS) $(INCLUDES) $(LIBS) generated/adb_*.o generated/axis2_stub_*.o  ../util/misc.o ../util/euca_auth.o $(CLIENT).c gl-client-marshal-adb.c -DMODE=1

deploy:
	$(INSTALL) -d $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(SERVICE_SO) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(GLWSDL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
#no ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(GLWSDLNAME) > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml

#ws-sec
#	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(GLWSDLNAME) | ../tools/add_service_policy.pl ../tools/service-policy-template.xml | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml
#	cat ../tools/client-policy-template.xml | sed "s:EUCALYPTUS_HOME:$(EUCALYPTUS):g" | sed "s:AXIS2C_HOME:$(AXIS2C_HOME):g" | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > cc-client-policy.xml
#	cp ../tools/*.pem $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	cp cc-client-policy.xml $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	chmod -R 0600 $(EUCALYPTUS)/var/lib/eucalyptus/keys/*
# ws
#	cp $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml
# no ws
	$(INSTALL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml

clean:
	rm -f $(SERVICE_SO) *.o $(CLIENT) *~* *#*  

distclean:
	rm -rf generated $(SERVICE_SO) *.o $(CLIENT) *~* *#*

install:

uninstall:
	@$(RM) -rf $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)

=== node/Makefile ===
#
#

include ../Makedefs

WSDLPATH=../wsdl/
CCWSDLNAME=eucalyptus_cc.wsdl
CCWSDL=$(WSDLPATH)/$(CCWSDLNAME)
NCWSDLNAME=eucalyptus_nc.wsdl
NCWSDL=$(WSDLPATH)/$(NCWSDLNAME)
SERVICE_SO=libEucalyptusNC.so
SERVICE_NAME=EucalyptusNC
CLIENT=NCclient
#WSDL2C=$(AXIS2C_HOME)/bin/tools/wsdl2c/WSDL2C.sh
NC_LIBS 		= $(LIBS) -lvirt -lcurl -lssl
NC_HANDLERS=handlers_xen.o handlers_kvm.o handlers_default.o

all: server client clientlib test_nc test

build: all

generated/stubs: $(NCWSDL)
	@echo Generating server stubs
	rm -rf generated
	mkdir -p generated
	sh $(WSDL2C) -uri $(NCWSDL) -sd -ss -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Adding marshalling calls to server stubs
	../tools/add_marshalling.pl generated/axis2_skel_*.c
	@echo Generating client stubs
	sh $(WSDL2C) -uri $(NCWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Compiling the stubs
	cd generated; patch -p1 < ../axis2_svc_generated.patch; $(CC) -c $(CFLAGS) $(INCLUDES) *.c
	@echo "this is a cute little makefile marker" >generated/stubs
	@echo Stubs generated.

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

server: $(SERVICE_SO)

../storage/storage.o: ../storage/storage.c ../util/misc.o ../util/data.o
	make -C ../storage

../storage/walrus.o: ../storage/walrus.c ../util/misc.o ../util/data.o
	make -C ../storage

../net/vnetwork.o: ../net/vnetwork.c
	make -C ../net

../util/misc.o: ../util/misc.c ../util/misc.h ../util/eucalyptus.h
	make -C ../util

../util/data.o: ../util/data.c ../util/data.h ../util/eucalyptus.h
	make -C ../util

../util/euca_auth.o: ../util/euca_auth.c ../util/data.h ../util/eucalyptus.h
	make -C ../util

$(SERVICE_SO): generated/stubs ../storage/storage.o ../storage/walrus.o ../net/vnetwork.o ../util/misc.o ../util/data.o server-marshal.o handlers.o $(NC_HANDLERS) $(AXIS2C_HOME)/lib/libaxutil.so ../util/eucalyptus.h ../util/euca_auth.o
	$(CC) -o $(SERVICE_SO) -shared $(NC_LIBS) generated/adb_*.o generated/axis2*_skel_*.o server-marshal.o handlers.o $(NC_HANDLERS) ../storage/walrus.o ../storage/storage.o ../net/*.o ../util/*.o

clientlib: generated/stubs ../util/data.o client-marshal-adb.o

client: $(CLIENT) $(CLIENT)_local

$(CLIENT): generated/stubs ../util/misc.o ../util/data.o client-marshal-adb.o client-marshal-local.o $(AXIS2C_HOME)/lib/libaxutil.so $(CLIENT).c
	$(CC) -o $(CLIENT) $(CFLAGS) $(INCLUDES) $(NC_LIBS) generated/adb_*.o generated/axis2_stub_*.o client-marshal-adb.o ../util/*.o ../storage/storage.o ../storage/walrus.o ../net/*.o $(CLIENT).c

$(CLIENT)_local: generated/stubs ../util/misc.o ../util/data.o client-marshal-adb.o client-marshal-local.o handlers.o $(NC_HANDLERS) $(CLIENT).c ../util/euca_auth.o
	$(CC) -o $(CLIENT)_local $(INCLUDES) $(CFLAGS) client-marshal-local.o ../util/*.o ../storage/storage.o ../storage/walrus.o ../net/*.o handlers.o $(NC_HANDLERS) $(CLIENT).c $(NC_LIBS)

test: test.c ../util/misc.o ../util/data.o
	$(CC) $(CFLAGS) $(INCLUDES) $(NC_LIBS) -o test test.c ../util/misc.o ../util/data.o

test_nc: test_nc.c ../util/misc.o
	$(CC) $(CFLAGS) $(INCLUDES) $(NC_LIBS) -o test_nc test_nc.c ../util/misc.o

deploy:
	$(INSTALL) -d $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(SERVICE_SO) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/

# no ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(NCWSDLNAME) > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml
# ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(NCWSDLNAME) | ../tools/add_service_policy.pl ../tools/service-policy-template.xml | sed "s:CLIENT-CERT:cluster-cert.pem:g" | sed "s:CLIENT-KEY:cluster-pk.pem:g" | sed "s:SERVER-CERT:node-cert.pem:g" | sed "s:SERVER-KEY:node-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml
	cat ../tools/client-policy-template.xml | sed "s:EUCALYPTUS_HOME:$(EUCALYPTUS):g" | sed "s:AXIS2C_HOME:$(AXIS2C_HOME):g"  | sed "s:CLIENT-CERT:cluster-cert.pem:g" | sed "s:CLIENT-KEY:cluster-pk.pem:g" | sed "s:SERVER-CERT:node-cert.pem:g" | sed "s:SERVER-KEY:node-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > nc-client-policy.xml
#	cp nc-client-policy.xml $(EUCALYPTUS)/var/lib/eucalyptus/keys/
##	cp ../tools/*.pem $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	chmod -R 0600 $(EUCALYPTUS)/var/lib/eucalyptus/keys/*
# ws
	$(INSTALL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml
# no ws
#	cp $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml

clean:
	rm -rf $(SERVICE_SO) *.o $(CLIENT) $(CLIENT)_local *~* *#*

distclean:
	rm -rf generated $(SERVICE_SO) *.o $(CLIENT) $(CLIENT)_local *~* *#*

install: deploy
	$(INSTALL) nc-client-policy.xml $(DESTDIR)$(vardir)/lib/eucalyptus/keys/
	$(INSTALL) -m 0755 test_nc $(DESTDIR)$(sbindir)/euca_test_nc

uninstall:
	$(RM) -f $(DESTDIR)$(vardir)/lib/eucalyptus/keys/nc-client-policy.xml
	$(RM) -f $(DESTDIR)$(sbindir)/euca_test_nc
	$(RM) -rf $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)

=== clc/modules/bootstrap/Makefile ===
###############################################################################
#  Copyright (c) 2009  Eucalyptus Systems, Inc.
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, only version 3 of the License.
#
#
#  This file is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#  for more details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  Please contact Eucalyptus Systems, Inc., 130 Castilian
#  Dr., Goleta, CA 93101 USA or visit <http://www.eucalyptus.com/licenses/>
#  if you need additional information or have any questions.
#
###############################################################################
#  Author: Chris Grzegorczyk grze@eucalyptus.com
###############################################################################
include ../../../Makedefs
CC = gcc
CFLAGS = -g -O2 -DOS_LINUX -DDSO_DLFCN \
		 -I$(JAVA_HOME)/include \
		 -I$(JAVA_HOME)/include/linux \
		 -I../../../util \
		 -Wall -Wstrict-prototypes
LDFLAGS =  -ldl -lpthread
JAVACFLAGS = 
RANLIB = ranlib
LDCMD = gcc

OBJS =  eucalyptus-bootstrap.o eucalyptus-opts.o
all: eucalyptus-cloud
build: eucalyptus-cloud
.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

eucalyptus-cloud: $(OBJS)
	$(LDCMD) $(LDFLAGS) $(OBJS) -o eucalyptus-cloud

ggo:
	gengetopt --input=arguments.ggo --file-name=eucalyptus-opts --func-name=arguments --arg-struct-name=eucalyptus_opts

install: eucalyptus-cloud
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) -m 0755 eucalyptus-cloud $(DESTDIR)$(sbindir)/eucalyptus-cloud

clean:
	@$(RM) -f $(OBJS) eucalyptus-cloud

distclean: clean

uninstall:
	@$(RM) -f $(DESTDIR)$(sbindir)/eucalyptus-cloud

=== debian/changelog ===
eucalyptus (2.0+bzr1241-0ubuntu4.3) maverick-proposed; urgency=low

  * d/patches/28-clock_drift.patch: Resolve issue with rampart blocking
    communication between CC and NC when time is fractionally in the
    future (LP: #854946).

 -- James Page <james.page@ubuntu.com>  Mon, 26 Sep 2011 09:41:53 +0100

eucalyptus (2.0+bzr1241-0ubuntu4.2) maverick-security; urgency=low

  * SECURITY UPDATE: SOAP signature replay vulnerability.
    - add debian/patches/27-soap-security.patch, thanks to upstream.
    - CVE-2011-0730

 -- Kees Cook <kees@ubuntu.com>  Tue, 26 Apr 2011 15:10:11 -0700

eucalyptus (2.0+bzr1241-0ubuntu4.1) maverick-security; urgency=low

  * SECURITY UPDATE: An unauthenticated user to the admin web interface, 
    could reset a user password, without email confirmation. (LP: #675372).
    - debian/patches/26-confirm-password-change.patch: Enable email as an 
      additional stage confirmation, when a password reset request is made.
      Patch courtesy of upstream Eucalyptus.
    - debian/eucalyptus-cloud.postinst: Remove the server side web ui cache
      and restart eucalyptus.
    - CVE-2010-3905

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 18 Nov 2010 17:11:48 +0000

eucalyptus (2.0+bzr1241-0ubuntu4) maverick; urgency=low

  * debian/eucalyptus-java-common.postinst: On upgrades from Lucid/10.04,
    ensure eucalyptus is stopped before attempting to upgrade the database
    schema. (LP: #649799)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 28 Sep 2010 19:42:41 +0100

eucalyptus (2.0+bzr1241-0ubuntu3) maverick; urgency=low

  * debian/eucalyptus-java-common.{pre|postinst}: Backup /usr/share/eucalytpus
    to enable the euca_upgrade script to be able to properly upgrade
    the components. (LP: #646100, #644759)
  * debian/patches/07-local_support_euca_conf-in.patch: 
    - Do not upgrade /etc/eucalyptus/eucalyptus.local.conf as it shouldn't 
      contain settings that require updating, and has the undesirable feature 
      of disabling eucalyptus network settings. (LP: #644733)
    - Resolved removal of nodes from nodes.list when deregistering a node
      (LP: #640502)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 27 Sep 2010 23:41:14 +0100

eucalyptus (2.0+bzr1241-0ubuntu2) maverick; urgency=low

  * debian/registration/uec_component_listener.c: Ignore IPv6 avahi broadcasts.
    Both IPv4 and IPv6 broadcasts are dispatched from the components. A 
    registration attempt was therefore made for each.  As IPv6 isn't supported
    the processing when caught is now ignored.  (LP: #627963, #628025)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 20 Sep 2010 16:57:24 +0100

eucalyptus (2.0+bzr1241-0ubuntu1) maverick; urgency=low

  * New upstream bug fix snapshot, -r1241
    - Fixes euca-* commands stop responding. (LP: #639639 
    - Fixes metadata service returning 500 error. (LP: #637659)
  * debian/patches/06-UEC-webinterface.patch: Improved cross
    browser compatability, particularly on the login screen.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 16 Sep 2010 17:10:38 +0100

eucalyptus (2.0+bzr1239-0ubuntu2) maverick; urgency=low

  * debian/eucalyptus-java-common.preinst: Move the cloud.d/scripts symlink 
    to the backup location on upgrade from 10.04/Lucid. (LP: #636687)
  * debian/control: Build-Depend on libavahi-* >= 0.6.27-2ubuntu2, as the
    earlier version dropped udeb shlibs. (LP: #636101)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 13 Sep 2010 13:46:18 +0100

eucalyptus (2.0+bzr1239-0ubuntu1) maverick; urgency=low

  [Dave Walker (Daviey)]
  * New upstream stable release, -r1239 Fixes:
    - euca_conf --register-cluster is not idempotent. (LP: #628328)
    - unexpected errors after a sequence of tests (LP: #622818)
  * debian/control: 
    - Recommend bittorrent|bittornado for -walrus package, enabling S3 
      bittorent API support. (LP: #613535)
    - Raise the minimum version of libvirt-bin needed to eucalyptus-nc.
  * debian/eucalyptus-nc.postinst: Add eucalyptus user to the kvm group to 
    enable user to utilise console logs. (LP: #619843)
  * debian/patches/18-priv_security.patch: Added vgscan to util/wrappers.conf,
    as it requires escalated privileges. (LP: #628291)
  * debian/patches/06-UEC-webinterface.patch (and 3 images): Updated and 
    refreshed to better reflect Ubuntu branding. (LP: #631451)
  * debian/patches/25-uec-logo-png.patch: Due to a bug in dpkg, we need to use
    a different filename for the logo.png.
  * debian/eucalyptus-{java-,}common.{preinst,postinst}: Update the internal
    database and keys on upgrade from 10.04.

  [Scott Moser]
  * fix determination of 'is_multiboot'.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 10 Sep 2010 12:18:02 +0100

eucalyptus (2.0~bzr1233-0ubuntu2) maverick; urgency=low
  
  [Scott Moser]
  * take the multiboot path only if kernel really is a multiboot
    image (LP: #622995)

  [Dave Walker (Daviey)]
  * debian/registration/{cluster,node,storage,walrus}: Added more verbose 
    logging on failure, and state success/failure rather than just return code.
  * debian/uec-component-listener.upstart: Added sleep, as it was starting too
    early; often causing registration failures. (LP: #622698)

  [Clint Byrum]
  * debian/rules debian/eucalyptus-common.install: Fixing munin plugin install
  * Added README.Debian file to eucalyptus-common package to explain usage of
    munin plugin.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 25 Aug 2010 22:11:40 +0100

eucalyptus (2.0~bzr1233-0ubuntu1) maverick; urgency=low

  * New upstream snapshot, -r1233, fixes:
    - LP: #619970 - more robust Date: generation on NC

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 19 Aug 2010 20:19:34 -0500

eucalyptus (2.0~bzr1232-0ubuntu1) maverick; urgency=low

  * New upstream snapshot, -r1232, bugs fixed by upstream:
    - LP: #610479 - remove spurious state update causing network index reuse


=== debian/control ===
Source: eucalyptus
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 ant,
 ant-optional,
 cdbs,
 debhelper (>= 7),
 default-jdk,
 groovy (>= 1.7),
 junit,
 libantlr-java,
 libavahi-core-dev (>= 0.6.27-2ubuntu2),
 libavahi-client-dev (>= 0.6.27-2ubuntu2),
 libaxiom-java,
 libaxis2c-dev,
 libbackport-util-concurrent-java,
 libbcprov-java,
 libcap-dev,
 libcommons-fileupload-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-pool-java (>= 1.4),
 libcurl4-gnutls-dev,
 libdebian-installer-dev,
 libdnsjava-java,
 libdrools-core-java,
 libecj-java,
 libeucalyptus-commons-ext-java (>= 0.5.0),
 libgeronimo-j2ee-connector-1.5-spec-java,
 libgeronimo-jpa-3.0-spec-java,
 libgnumail-java,
 libgoogle-collections-java,
 libgwt-dev-java,
 libgwt-user-java,
 libhsqldb-java,
 libjaxp1.3-java,
 libjetty-java,
 libjibx-java (>= 1.1.6a),
 libjson-java,
 liblog4j1.2-java,
 libnetty-java,
 librampart-dev (>=1.3.0-0ubuntu6),
 libservlet2.5-java,
 libssl-dev,
 libvirt-dev,
 libwsdl4j-java,
 libwss4j-java,
 libxalan2-java,
 libxerces2-java,
 libxml-security-java (>= 1.4.2-1ubuntu1),
 pkg-config,
 quilt,
 zlib1g-dev,
 libjavassist-java,
 libjetty-extra-java
Standards-Version: 3.8.4
Homepage: http://open.eucalyptus.com/
Vcs-Bzr: http://bazaar.launchpad.net/ubuntu-core-dev/ubuntu/maverick/eucalyptus/devel/

Package: eucalyptus-common
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 openssh-server (>= 1:5.2p1-1ubuntu1),
 openssh-client,
 avahi-utils,
 python
Recommends:
 unzip,
 munin-node
Description: Elastic Utility Computing Architecture - Common files
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the common parts: you will need to install either
 eucalyptus-cloud, eucalyptus-cc or eucalyptus-nc (or all of them).

Package: eucalyptus-sc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 eucalyptus-java-common,
 tgt
Recommends:
 open-iscsi,
 munin
Suggests: aoetools
Description: Elastic Utility Computing Architecture - Storage controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the storage controller part of eucalyptus.

Package: eucalyptus-cloud
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 uec-component-listener,
 eucalyptus-java-common
Recommends:
 python-image-store-proxy,
 postfix | mail-transport-agent,
 munin
Replaces:
 eucalyptus-cc (<= 1.6~bzr919-0ubuntu3),
 eucalyptus-sc (<= 1.6~bzr919-0ubuntu3),
 eucalyptus-walrus (<= 1.6~bzr919-0ubuntu3)
Description: Elastic Utility Computing Architecture - Cloud controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the cloud controller part of eucalyptus.

Package: eucalyptus-walrus
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 eucalyptus-java-common
Recommends:
 munin-node,
 bittorrent | bittornado
Description: Elastic Utility Computing Architecture - Walrus (S3)
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains Walrus, the S3 part of eucalyptus.

Package: eucalyptus-java-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 antlr3,
 default-jre-headless | java5-runtime-headless,
 dmsetup,
 eucalyptus-common,
 groovy (>= 1.7),
 janino,
 junit,
 libantlr-java,
 libasm3-java,
 libaxiom-java,
 libbackport-util-concurrent-java,
 libbcel-java,
 libbcprov-java,
 libbsf-java,
 libc3p0-java,
 libcglib-java,
 libcommons-beanutils-java,
 libcommons-cli-java,
 libcommons-codec-java,
 libcommons-collections3-java,
 libcommons-discovery-java,
 libcommons-fileupload-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-jxpath-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-pool-java (>= 1.4),
 libdnsjava-java,
 libdom4j-java,
 libdrools-core-java,
 libecj-java,
 libeucalyptus-commons-ext-java (>= 0.5.0),
 libexcalibur-logkit-java,
 libezmorph-java,
 libgeronimo-ejb-3.0-spec-java,
 libgeronimo-interceptor-3.0-spec-java,
 libgeronimo-j2ee-connector-1.5-spec-java,
 libgeronimo-jacc-1.1-spec-java,
 libgeronimo-jms-1.1-spec-java,
 libgeronimo-jpa-3.0-spec-java,
 libgeronimo-jta-1.0.1b-spec-java,
 libgnujaf-java,
 libgnumail-java,
 libgoogle-collections-java,
 libgwt-user-java,
 libhsqldb-java,
 libjavassist-java,
 libjaxen-java,
 libjaxp1.3-java,
 libjetty-java,
 libjibx-java (>= 1.1.6a),
 libjson-java,
 libjug-java,
 liblog4j1.2-java,
 libmvel-java,
 libnetty-java,
 libproxool-java,
 libregexp-java,
 libservlet2.5-java,
 libslf4j-java,
 libwoodstox-java,
 libwsdl4j-java,
 libwss4j-java,
 libxalan2-java,
 libxerces2-java,
 libxml-security-java (>= 1.4.2-1ubuntu1),
 libxom-java,
 libxpp3-java,
 lvm2,
 openssh-server,
 vblade,
 libjetty-extra-java
Replaces:
 eucalyptus-javadeps,
 eucalyptus-cloud (<= 1.6.2~bzr1120-0ubuntu2),
 eucalyptus-common
Description: Elastic Utility Computing Architecture - Common Java package
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains everything the java based packages share.

Package: eucalyptus-cc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 apache2,
 libapache2-mod-axis2c,
 eucalyptus-gl,
 uec-component-listener,
 wget
Recommends:
 bridge-utils,
 vlan,
 powerwake,
 dhcp3-server,
 libpam-modules (>= 1.0.1-9ubuntu3)
Suggests: vtun
Conflicts: apache2-mpm-itk
Description: Elastic Utility Computing Architecture - Cluster controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the cluster controller part of eucalyptus.

Package: eucalyptus-nc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 apache2-mpm-worker | apache2-mpm-prefork,
 libvirt-bin (>= 0.8.3-1ubuntu7),
 libapache2-mod-axis2c,
 eucalyptus-gl,
 adduser,
 iptables,
 xorriso
Suggests: aoetools
Recommends:
 qemu-kvm,
 vlan,
 bridge-utils,
 powernap,
 open-iscsi,
 libcrypt-openssl-random-perl,
 libcrypt-openssl-rsa-perl,
 libcrypt-openssl-x509-perl
Conflicts: apache2-mpm-itk
Description: Elastic Utility Computing Architecture - Node controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the node controller part of eucalyptus.

Package: eucalyptus-gl
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common
Description: Elastic Utility Computing Architecture - Logging service
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the internal log service of eucalyptus.

Package: uec-component-listener
Architecture: any
Depends:
 eucalyptus-common,
 avahi-daemon,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Ubuntu Enterprise Cloud - Component listener
 This package contains the component listener that is used to automatically
 register new UEC components.

Package: eucalyptus-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 configured-network,
 wget-udeb
# after netcfg
XB-Installer-Menu-Item: 1850
Description: Elastic Utility Computing Architecture - installer integration
